import 'eventpub_interface.dart';

class EventPub {
  void dispatch(String event, Map<String, dynamic> data) {
    EventHubInterface.instance.dispatch(event, data);
  }

  String listen(String event, Function(Map<String, dynamic>) callback) {
    return EventHubInterface.instance.listen(event, callback);
  }

  void dispose(String event, String id) {
    EventHubInterface.instance.dispose(event, id);
  }

  void disposeAll(String event) {
    EventHubInterface.instance.disposeAll(event);
  }

  Map<String, dynamic> getEvent(String event) {
    return EventHubInterface.instance.getEvent(event);
  }
}
