class EventPubSubEvent {
  List<Function(Map<String, dynamic>)> callbacks;
  Map<String, dynamic> last;
  EventPubSubEvent(this.callbacks, this.last);
}

abstract class ResponseEvent {
  Map<String, dynamic> events = {};
  void dispatch(String event, Map<String, dynamic> data);
  String listen(String event, Function(Map<String, dynamic>) callback);
  void dispose(String event, String id);
  void disposeAll(String event);
  Map<String, dynamic> getEvent(String event);
}
