import 'package:eventpub/eventpub_methods.dart';

class EventHubInterface {
  static final EventHubInterface _instance = MethodsEventpub();
  static EventHubInterface get instance => _instance;

  void dispatch(String event, Map<String, dynamic> data) {
    throw UnimplementedError('dispatch() has not been implemented.');
  }

  String listen(String event, Function(Map<String, dynamic>) callback) {
    throw UnimplementedError('listen() has not been implemented.');
  }

  void dispose(String event, String id) {
    throw UnimplementedError('dispose() has not been implemented.');
  }

  void disposeAll(String event) {
    throw UnimplementedError('disposeAll() has not been implemented.');
  }

  Map<String, dynamic> getEvent(String event) {
    throw UnimplementedError('getEvent() has not been implemented.');
  }
}
